require_relative "spec_helper"

describe Gemnigma::RotatorDecrypt do
  before :each do
    @rot_dec = Gemnigma::RotatorDecrypt.new
  end

  it "should be a subclass of RotatorEncrypt" do
    expect(Gemnigma::RotatorDecrypt.superclass).to eql(Gemnigma::RotatorEncrypt)
  end

  describe "#rot_decrypt" do
    it "should take one parameter" do
      expect{ @rot_dec.rot_decrypt }.to raise_error(ArgumentError)
    end

    it "should return a new string" do
      expect(@rot_dec.rot_decrypt("qv0.x")).not_to eql("qv0.x")
    end
  end
end