require_relative "spec_helper"

describe Gemnigma do
  it "should be a module" do
    expect(Gemnigma.class).to eql(Module)
  end

  it "should have a version constant available to it" do
    expect(Gemnigma.constants.include? :VERSION).to be true
  end

  it "should have a version number 0.0.3" do
    expect(Gemnigma::VERSION).to eql("0.0.3")
  end

  it "should have access to the char_map module" do
    expect(Gemnigma.constants.include? :CharMap).to be true
  end

  it "should have access to the cipher_decrypt module" do
    expect(Gemnigma.constants.include? :CipherDecrypt).to be true
  end

  it "should have access to the cipher_encrypt module" do
    expect(Gemnigma.constants.include? :CipherEncrypt).to be true
  end

  it "should have access to the key class" do
    expect(Gemnigma.constants.include? :Key).to be true
  end

  it "should have access to the offset class" do
    expect(Gemnigma.constants.include? :Offset).to be true
  end

  it "should have access to the rotator_decrypt class" do
    expect(Gemnigma.constants.include? :RotatorDecrypt).to be true
  end

  it "should have access to the rotator_encrypt class" do
    expect(Gemnigma.constants.include? :RotatorEncrypt).to be true
  end

  it "should have access to the decrypt class" do
    expect(Gemnigma.constants.include? :Decrypt).to be true
  end

  it "should have access to the encrypt class" do
    expect(Gemnigma.constants.include? :Encrypt).to be true
  end

  it "should have access to the crack class" do
    expect(Gemnigma.constants.include? :Crack).to be true
  end
end